The Spring Framework

## org.springframework.jms.support.converter
Class MessageConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.jms.JmsException
                          org.springframework.jms.support.converter.MessageConversionException

All Implemented Interfaces:
  Serializable

    public class MessageConversionException

extends JmsException

Thrown by `MessageConverter` implementations when the conversion of an object to/from a `Message` fails.

Since:
  1.1
Author:
  Mark Pollack
See Also:
  `MessageConverter`, Serialized Form

Constructor Summary
`MessageConversionException(String msg)` Create a new MessageConversionException.
`MessageConversionException(String msg, Throwable cause)` Create a new MessageConversionException.

Method Summary

Methods inherited from class org.springframework.jms.JmsException
`getErrorCode, getMessage`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageConversionException

    public MessageConversionException(String msg)

  Create a new MessageConversionException.

  Parameters:
    `msg` - the detail message

### MessageConversionException

    public MessageConversionException(String msg,
                                      Throwable cause)

  Create a new MessageConversionException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause (if any)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.